Package: java-package
Version: 0.56
Severity: normal

The update-java-alternatives command fails with:

    # update-java-alternatives -s jdk-8-oracle-x64; echo $?
    update-alternatives: error: no alternatives for iceweasel-javaplugin.so
    update-alternatives: error: no alternatives for iceweasel-javaplugin.so
    2

/usr/lib/jvm/.jdk-8-oracle-x64.jinfo contains the line:

    plugin iceweasel-javaplugin.so 
/usr/lib/jvm/jdk-8-oracle-x64/jre/lib/amd64/libnpjp2.so

However, /var/lib/dpkg/info/oracle-java8-jdk.postinst registers the
alternative with the name 'mozilla-java-plugin.so':

    for b in mozilla;do
        install_browser_plugin "/usr/lib/$b/plugins" "libjavaplugin.so" 
"$b-javaplugin.so" "$plugin_dir/libnpjp2.so"
    done

-- System Information:
Debian Release: 7.8
  APT prefers stable-updates
  APT policy: (550, 'stable-updates'), (550, 'stable'), (530, 'testing'), (520, 
'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 3.16.0-0.bpo.4-686-pae (SMP w/1 CPU core)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: systemd (via /run/systemd/system)

Versions of packages java-package depends on:
ii  debhelper   9.20120909
ii  dpkg-dev    1.16.15
ii  fakeroot    1.18.4-2
ii  libasound2  1.0.25-4
ii  libx11-6    2:1.5.0-1+deb7u1
ii  unzip       6.0-8+deb7u2

Versions of packages java-package recommends:
ii  gcc  4:4.7.2-1

Versions of packages java-package suggests:
ii  openjdk-7-jre  7u75-2.5.4-1~deb7u1

-- no debconf information

__
This is the maintainer address of Debian's Java team
<http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-java-maintainers>. 
Please use
debian-j...@lists.debian.org for discussions and questions.

Reply via email to